﻿/**Begin D:\PDM_UPGRADE\PDM1\PMTS_constraint.sql **/
 EXEC P_ALTERPK 'PK_PMPD_DELIVERATTACH', 'T_PMPD_DELIVERATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DATTACH_FFILENAME') CREATE INDEX IDX_PMPD_DATTACH_FFILENAME ON T_PMPD_DELIVERATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_PMPD_DELIVERIES_L', 'T_PMPD_DELIVERIES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIESL_FID') CREATE INDEX IDX_PMPD_DELIESL_FID ON T_PMPD_DELIVERIES_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIESL_FDESCRIBER') CREATE INDEX IDX_PMPD_DELIESL_FDESCRIBER ON T_PMPD_DELIVERIES_L ( FDESCRIBER );


 EXEC P_ALTERPK 'PK_PMPD_DELIVERSEN', 'T_PMPD_DELIVERSEN', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIEN_FID') CREATE INDEX IDX_PMPD_DELIEN_FID ON T_PMPD_DELIVERSEN ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIEN_FSEQ') CREATE INDEX IDX_PMPD_DELIEN_FSEQ ON T_PMPD_DELIVERSEN ( FSEQ );


 EXEC P_ALTERPK 'PK_PMPD_DELIVERSEN_L', 'T_PMPD_DELIVERSEN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIENL_FENTRYID') CREATE INDEX IDX_PMPD_DELIENL_FENTRYID ON T_PMPD_DELIVERSEN_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIENL_FFILENAME') CREATE INDEX IDX_PMPD_DELIENL_FFILENAME ON T_PMPD_DELIVERSEN_L ( FFILENAME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCHEME', 'T_PMTS_TASKSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKME_FNUMBER') CREATE INDEX IDX_PMTS_TASKME_FNUMBER ON T_PMTS_TASKSCHEME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKME_FCREATETIME') CREATE INDEX IDX_PMTS_TASKME_FCREATETIME ON T_PMTS_TASKSCHEME ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCHEME_L', 'T_PMTS_TASKSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKMEL_FID') CREATE INDEX IDX_PMTS_TASKMEL_FID ON T_PMTS_TASKSCHEME_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKMEL_FNAME') CREATE INDEX IDX_PMTS_TASKMEL_FNAME ON T_PMTS_TASKSCHEME_L ( FNAME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCDETAIL', 'T_PMTS_TASKSCDETAIL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKIL_FNUMBER') CREATE INDEX IDX_PMTS_TASKIL_FNUMBER ON T_PMTS_TASKSCDETAIL ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKIL_FCREATETIME') CREATE INDEX IDX_PMTS_TASKIL_FCREATETIME ON T_PMTS_TASKSCDETAIL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCDETAIL_L', 'T_PMTS_TASKSCDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILL_FID') CREATE INDEX IDX_PMTS_TASKILL_FID ON T_PMTS_TASKSCDETAIL_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILL_FNAME') CREATE INDEX IDX_PMTS_TASKILL_FNAME ON T_PMTS_TASKSCDETAIL_L ( FNAME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCDETAIL_STA', 'T_PMTS_TASKSCDETAIL_STA', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILSTA_FID') CREATE INDEX IDX_PMTS_TASKILSTA_FID ON T_PMTS_TASKSCDETAIL_STA ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILSTA_FSEQ') CREATE INDEX IDX_PMTS_TASKILSTA_FSEQ ON T_PMTS_TASKSCDETAIL_STA ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCDETAIL_STE', 'T_PMTS_TASKSCDETAIL_STE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILSTE_FID') CREATE INDEX IDX_PMTS_TASKILSTE_FID ON T_PMTS_TASKSCDETAIL_STE ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKILSTE_FSEQ') CREATE INDEX IDX_PMTS_TASKILSTE_FSEQ ON T_PMTS_TASKSCDETAIL_STE ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCRESULT', 'T_PMTS_TASKSCRESULT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLT_FID') CREATE INDEX IDX_PMTS_TASKLT_FID ON T_PMTS_TASKSCRESULT ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLT_FSEQ') CREATE INDEX IDX_PMTS_TASKLT_FSEQ ON T_PMTS_TASKSCRESULT ( FSEQ );


 EXEC P_ALTERPK 'PK_T_PMRP_BILLRISKSOURCE', 'T_PMRP_BILLRISKSOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_BILLCE_FBILLNO') CREATE INDEX IDX_PMRP_BILLCE_FBILLNO ON T_PMRP_BILLRISKSOURCE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_BILLCE_FCREATETIME') CREATE INDEX IDX_PMRP_BILLCE_FCREATETIME ON T_PMRP_BILLRISKSOURCE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_MYQUESTION', 'T_PMRP_MYQUESTION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_MYQUON_FBILLNO') CREATE INDEX IDX_PMRP_MYQUON_FBILLNO ON T_PMRP_MYQUESTION ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_MYQUON_FCREATETIME') CREATE INDEX IDX_PMRP_MYQUON_FCREATETIME ON T_PMRP_MYQUESTION ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_MYQUESTION_PR', 'T_PMRP_MYQUESTION_PR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MYQUESTION_PR_FBILLNO') CREATE INDEX IDX_MYQUESTION_PR_FBILLNO ON T_PMRP_MYQUESTION_PR ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_MYQUESTION_PR_FCREATETIME') CREATE INDEX IDX_MYQUESTION_PR_FCREATETIME ON T_PMRP_MYQUESTION_PR ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKCONDITION', 'T_PMRP_RISKCONDITION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKCONDITION_FNUMBER') CREATE INDEX IDX_PMRP_RISKCONDITION_FNUMBER ON T_PMRP_RISKCONDITION ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKCONDITION_CT') CREATE INDEX IDX_PMRP_RISKCONDITION_CT ON T_PMRP_RISKCONDITION ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKCONDITION_L', 'T_PMRP_RISKCONDITION_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKCONDITION_L_FID') CREATE INDEX IDX_PMRP_RISKCONDITION_L_FID ON T_PMRP_RISKCONDITION_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKCONDITION_L_LID') CREATE INDEX IDX_PMRP_RISKCONDITION_L_LID ON T_PMRP_RISKCONDITION_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKGRADE', 'T_PMRP_RISKGRADE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKGRADE_FNUMBER') CREATE INDEX IDX_PMRP_RISKGRADE_FNUMBER ON T_PMRP_RISKGRADE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKGRADE_CT') CREATE INDEX IDX_PMRP_RISKGRADE_CT ON T_PMRP_RISKGRADE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKGRADE_L', 'T_PMRP_RISKGRADE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKGRADE_L_FID') CREATE INDEX IDX_PMRP_RISKGRADE_L_FID ON T_PMRP_RISKGRADE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKGRADE_L_LID') CREATE INDEX IDX_PMRP_RISKGRADE_L_LID ON T_PMRP_RISKGRADE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKPARASET', 'T_PMRP_RISKPARASET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_FNUMBER') CREATE INDEX IDX_PMRP_RISKET_FNUMBER ON T_PMRP_RISKPARASET ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_FCREATETIME') CREATE INDEX IDX_PMRP_RISKET_FCREATETIME ON T_PMRP_RISKPARASET ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKPARASET_DE', 'T_PMRP_RISKPARASET_DE', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_DE_FSEQ') CREATE INDEX IDX_PMRP_RISKET_DE_FSEQ ON T_PMRP_RISKPARASET_DE ( FSEQ ,FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_DE_FID') CREATE INDEX IDX_PMRP_RISKET_DE_FID ON T_PMRP_RISKPARASET_DE ( FID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKPARASET_GR', 'T_PMRP_RISKPARASET_GR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_GR_FSEQ') CREATE INDEX IDX_PMRP_RISKET_GR_FSEQ ON T_PMRP_RISKPARASET_GR ( FSEQ ,FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_GR_FID') CREATE INDEX IDX_PMRP_RISKET_GR_FID ON T_PMRP_RISKPARASET_GR ( FID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKPARASET_L', 'T_PMRP_RISKPARASET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKETL_FID') CREATE INDEX IDX_PMRP_RISKETL_FID ON T_PMRP_RISKPARASET_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKETL_FNAME') CREATE INDEX IDX_PMRP_RISKETL_FNAME ON T_PMRP_RISKPARASET_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKPARASET_PR', 'T_PMRP_RISKPARASET_PR', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_PR_FSEQ') CREATE INDEX IDX_PMRP_RISKET_PR_FSEQ ON T_PMRP_RISKPARASET_PR ( FSEQ ,FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKET_PR_FID') CREATE INDEX IDX_PMRP_RISKET_PR_FID ON T_PMRP_RISKPARASET_PR ( FID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKREGISTER', 'T_PMRP_RISKREGISTER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKREGISTER_NUM') CREATE INDEX IDX_PMRP_RISKREGISTER_NUM ON T_PMRP_RISKREGISTER ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKREGISTER_CT') CREATE INDEX IDX_PMRP_RISKREGISTER_CT ON T_PMRP_RISKREGISTER ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKREGISTER_CPDEP', 'T_PMRP_RISKREGISTER_CPDEP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKREGISTER_FID') CREATE INDEX IDX_PMRP_RISKREGISTER_FID ON T_PMRP_RISKREGISTER_CPDEP ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKREGISTER_BASEID') CREATE INDEX IDX_PMRP_RISKREGISTER_BASEID ON T_PMRP_RISKREGISTER_CPDEP ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKREGISTER_WBS', 'T_PMRP_RISKREGISTER_WBS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISK_WBS_FID') CREATE INDEX IDX_PMRP_RISK_WBS_FID ON T_PMRP_RISKREGISTER_WBS ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISK_WBS_BASEID') CREATE INDEX IDX_PMRP_RISK_WBS_BASEID ON T_PMRP_RISKREGISTER_WBS ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSCOPEDE', 'T_PMRP_RISKSCOPEDE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDE_FNUMBER') CREATE INDEX IDX_PMRP_RISKDE_FNUMBER ON T_PMRP_RISKSCOPEDE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDE_FCREATETIME') CREATE INDEX IDX_PMRP_RISKDE_FCREATETIME ON T_PMRP_RISKSCOPEDE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSCOPEDE_L', 'T_PMRP_RISKSCOPEDE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDEL_FID') CREATE INDEX IDX_PMRP_RISKDEL_FID ON T_PMRP_RISKSCOPEDE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDEL_FNAME') CREATE INDEX IDX_PMRP_RISKDEL_FNAME ON T_PMRP_RISKSCOPEDE_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSCOPEDE_SET', 'T_PMRP_RISKSCOPEDE_SET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDE_FSEQ') CREATE INDEX IDX_PMRP_RISKDE_FSEQ ON T_PMRP_RISKSCOPEDE_SET ( FSEQ ,FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKDE_FID') CREATE INDEX IDX_PMRP_RISKDE_FID ON T_PMRP_RISKSCOPEDE_SET ( FID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSOURCE', 'T_PMRP_RISKSOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSOURCE_FNUMBER') CREATE INDEX IDX_PMRP_RISKSOURCE_FNUMBER ON T_PMRP_RISKSOURCE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSOURCE_CT') CREATE INDEX IDX_PMRP_RISKSOURCE_CT ON T_PMRP_RISKSOURCE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSOURCE_L', 'T_PMRP_RISKSOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSOURCE_L_FID') CREATE INDEX IDX_PMRP_RISKSOURCE_L_FID ON T_PMRP_RISKSOURCE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSOURCE_L_LID') CREATE INDEX IDX_PMRP_RISKSOURCE_L_LID ON T_PMRP_RISKSOURCE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSTATUS', 'T_PMRP_RISKSTATUS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKUS_FNUMBER') CREATE INDEX IDX_PMRP_RISKUS_FNUMBER ON T_PMRP_RISKSTATUS ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKUS_FCREATETIME') CREATE INDEX IDX_PMRP_RISKUS_FCREATETIME ON T_PMRP_RISKSTATUS ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSTATUS_L', 'T_PMRP_RISKSTATUS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKUSL_FID') CREATE INDEX IDX_PMRP_RISKUSL_FID ON T_PMRP_RISKSTATUS_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKUSL_FNAME') CREATE INDEX IDX_PMRP_RISKUSL_FNAME ON T_PMRP_RISKSTATUS_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSTRATEGY', 'T_PMRP_RISKSTRATEGY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSTRATEGY_FNUMBER') CREATE INDEX IDX_PMRP_RISKSTRATEGY_FNUMBER ON T_PMRP_RISKSTRATEGY ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSTRATEGY_CT') CREATE INDEX IDX_PMRP_RISKSTRATEGY_CT ON T_PMRP_RISKSTRATEGY ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKSTRATEGY_L', 'T_PMRP_RISKSTRATEGY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSTRATEGY_L_FID') CREATE INDEX IDX_PMRP_RISKSTRATEGY_L_FID ON T_PMRP_RISKSTRATEGY_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKSTRATEGY_L_LID') CREATE INDEX IDX_PMRP_RISKSTRATEGY_L_LID ON T_PMRP_RISKSTRATEGY_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKTEMPLATE', 'T_PMRP_RISKTEMPLATE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKTEMPLATE_FNUMBER') CREATE INDEX IDX_PMRP_RISKTEMPLATE_FNUMBER ON T_PMRP_RISKTEMPLATE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKTEMPLATE_CT') CREATE INDEX IDX_PMRP_RISKTEMPLATE_CT ON T_PMRP_RISKTEMPLATE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMRP_RISKTEMPLATE_L', 'T_PMRP_RISKTEMPLATE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKTEMPLATE_L_FID') CREATE INDEX IDX_PMRP_RISKTEMPLATE_L_FID ON T_PMRP_RISKTEMPLATE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMRP_RISKTEMPLATE_L_LID') CREATE INDEX IDX_PMRP_RISKTEMPLATE_L_LID ON T_PMRP_RISKTEMPLATE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_PMBD_ISSUETYPE', 'T_PMBD_ISSUETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_ISSUE_FNUMBER') CREATE INDEX IDX_PMBD_ISSUE_FNUMBER ON T_PMBD_ISSUETYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_ISSUE_FCREATETIME') CREATE INDEX IDX_PMBD_ISSUE_FCREATETIME ON T_PMBD_ISSUETYPE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMBD_ISSUETYPE_L', 'T_PMBD_ISSUETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_ISSUE_FID') CREATE INDEX IDX_PMBD_ISSUE_FID ON T_PMBD_ISSUETYPE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_ISSUE_FLOCALEID') CREATE INDEX IDX_PMBD_ISSUE_FLOCALEID ON T_PMBD_ISSUETYPE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_PMBD_RISKTYPE', 'T_PMBD_RISKTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_RISKT_FNUMBER') CREATE INDEX IDX_PMBD_RISKT_FNUMBER ON T_PMBD_RISKTYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_RISKT_FCREATETIME') CREATE INDEX IDX_PMBD_RISKT_FCREATETIME ON T_PMBD_RISKTYPE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMBD_RISKTYPE_L', 'T_PMBD_RISKTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_RISKT_FID') CREATE INDEX IDX_PMBD_RISKT_FID ON T_PMBD_RISKTYPE_L ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMBD_RISKT_FLOCALEID') CREATE INDEX IDX_PMBD_RISKT_FLOCALEID ON T_PMBD_RISKTYPE_L ( FLOCALEID );


 EXEC P_ALTERPK 'PK_PMTS_ATTACHMENT_REPORT', 'T_PMTS_ATTACHMENT_REPORT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_ATTANTP_FENTRYID') CREATE INDEX IDX_PMTS_ATTANTP_FENTRYID ON T_PMTS_ATTACHMENT_REPORT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_PMTS_DELIVERYENTRY', 'T_PMTS_DELIVERYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DELIRY_FID') CREATE INDEX IDX_PMTS_DELIRY_FID ON T_PMTS_DELIVERYENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DELIRY_FSEQ') CREATE INDEX IDX_PMTS_DELIRY_FSEQ ON T_PMTS_DELIVERYENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_TASKOFMINEENTRY', 'T_PMTS_TASKOFMINEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKRY_FID') CREATE INDEX IDX_PMTS_TASKRY_FID ON T_PMTS_TASKOFMINEENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKRY_FSEQ') CREATE INDEX IDX_PMTS_TASKRY_FSEQ ON T_PMTS_TASKOFMINEENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_TASKREPORTBILL', 'T_PMTS_TASKREPORTBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLL_FBILLNO') CREATE INDEX IDX_PMTS_TASKLL_FBILLNO ON T_PMTS_TASKREPORTBILL ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLL_FCREATETIME') CREATE INDEX IDX_PMTS_TASKLL_FCREATETIME ON T_PMTS_TASKREPORTBILL ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMTS_WBSDELIVERY', 'T_PMTS_WBSDELIVERY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_WBSDRY_FBILLNO') CREATE INDEX IDX_PMTS_WBSDRY_FBILLNO ON T_PMTS_WBSDELIVERY ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_WBSDRY_FCREATETIME') CREATE INDEX IDX_PMTS_WBSDRY_FCREATETIME ON T_PMTS_WBSDELIVERY ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMTS_EXAMPLEFILE', 'T_PMTS_EXAMPLEFILE', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_EXAMLE_FENTRYID') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_EXAMLE_FENTRYID ON T_PMTS_EXAMPLEFILE ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMTS_FINISHEDFILE', 'T_PMTS_FINISHEDFILE', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_FINILE_FENTRYID') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_FINILE_FENTRYID ON T_PMTS_FINISHEDFILE ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_PMTS_REGDOCENTRY', 'T_PMTS_REGDOCENTRY', 'FENTRYID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDRY_FID') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_REGDRY_FID ON T_PMTS_REGDOCENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDRY_FSEQ') CREATE INDEX IDX_PMTS_REGDRY_FSEQ ON T_PMTS_REGDOCENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_T_PMTS_REGDOCENTRY_L', 'T_PMTS_REGDOCENTRY_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDRYL_FCONTENTDESC') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_REGDRYL_FCONTENTDESC ON T_PMTS_REGDOCENTRY_L ( FCONTENTDESC ,FENTRYID );


 EXEC P_ALTERPK 'PK_T_PMTS_REGDOCLIST', 'T_PMTS_REGDOCLIST', 'FID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDST_FBILLNO') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_REGDST_FBILLNO ON T_PMTS_REGDOCLIST ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDST_FCREATETIME') CREATE INDEX IDX_PMTS_REGDST_FCREATETIME ON T_PMTS_REGDOCLIST ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMTS_REGDOCLIST_L', 'T_PMTS_REGDOCLIST_L', 'FPKID', '0';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_REGDSTL_FID') CREATE UNIQUE  CLUSTERED INDEX IDX_PMTS_REGDSTL_FID ON T_PMTS_REGDOCLIST_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_PMTS_DEMAND_LIST', 'T_PMTS_DEMAND_LIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DEMAND_FBILLNO') CREATE INDEX IDX_PMTS_DEMAND_FBILLNO ON T_PMTS_DEMAND_LIST ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DEMAND_FCREATETIME') CREATE INDEX IDX_PMTS_DEMAND_FCREATETIME ON T_PMTS_DEMAND_LIST ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMTS_DMATERIEL', 'T_PMTS_DMATERIEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DMATEL_FID') CREATE INDEX IDX_PMTS_DMATEL_FID ON T_PMTS_DMATERIEL ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_DMATEL_FSEQ') CREATE INDEX IDX_PMTS_DMATEL_FSEQ ON T_PMTS_DMATERIEL ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_PMATERIEL', 'T_PMTS_PMATERIEL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PMATEL_FID') CREATE INDEX IDX_PMTS_PMATEL_FID ON T_PMTS_PMATERIEL ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PMATEL_FSEQ') CREATE INDEX IDX_PMTS_PMATEL_FSEQ ON T_PMTS_PMATERIEL ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_PRODUCTION_LIST', 'T_PMTS_PRODUCTION_LIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PRODON_FBILLNO') CREATE INDEX IDX_PMTS_PRODON_FBILLNO ON T_PMTS_PRODUCTION_LIST ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PRODON_FCREATETIME') CREATE INDEX IDX_PMTS_PRODON_FCREATETIME ON T_PMTS_PRODUCTION_LIST ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMTS_PROJPURCHES', 'T_PMTS_PROJPURCHES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJES_FBILLNO') CREATE INDEX IDX_PMTS_PROJES_FBILLNO ON T_PMTS_PROJPURCHES ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJES_FCREATETIME') CREATE INDEX IDX_PMTS_PROJES_FCREATETIME ON T_PMTS_PROJPURCHES ( FCREATETIME );


 EXEC P_ALTERPK 'PK_T_PMTS_PROJPURCHES_L', 'T_PMTS_PROJPURCHES_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJESL_FID') CREATE INDEX IDX_PMTS_PROJESL_FID ON T_PMTS_PROJPURCHES_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PROJESL_FDESCRIBE') CREATE INDEX IDX_PMTS_PROJESL_FDESCRIBE ON T_PMTS_PROJPURCHES_L ( FDESCRIBE );


 EXEC P_ALTERPK 'PK_T_PMTS_PURDETAIL', 'T_PMTS_PURDETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PURDIL_FID') CREATE INDEX IDX_PMTS_PURDIL_FID ON T_PMTS_PURDETAIL ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PURDIL_FSEQ') CREATE INDEX IDX_PMTS_PURDIL_FSEQ ON T_PMTS_PURDETAIL ( FSEQ );


 EXEC P_ALTERPK 'PK_T_PMTS_PURDETAIL_L', 'T_PMTS_PURDETAIL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PURDILL_FENTRYID') CREATE INDEX IDX_PMTS_PURDILL_FENTRYID ON T_PMTS_PURDETAIL_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_PURDILL_FTRYDCRIBE') CREATE INDEX IDX_PMTS_PURDILL_FTRYDCRIBE ON T_PMTS_PURDETAIL_L ( FENTRYDESCRIBE );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCHEDULE_ENTRY', 'T_PMTS_TASKSCHEDULE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLE_FID') CREATE INDEX IDX_PMTS_TASKLE_FID ON T_PMTS_TASKSCHEDULE_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLE_FSEQ') CREATE INDEX IDX_PMTS_TASKLE_FSEQ ON T_PMTS_TASKSCHEDULE_ENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCHEDULE_LOG', 'T_PMTS_TASKSCHEDULE_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLE_FNUMBER') CREATE INDEX IDX_PMTS_TASKLE_FNUMBER ON T_PMTS_TASKSCHEDULE_LOG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLE_FCREATETIME') CREATE INDEX IDX_PMTS_TASKLE_FCREATETIME ON T_PMTS_TASKSCHEDULE_LOG ( FCREATETIME );


 EXEC P_ALTERPK 'PK_PMTS_TASKSCHEDULE_LOG_L', 'T_PMTS_TASKSCHEDULE_LOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLEL_FID') CREATE INDEX IDX_PMTS_TASKLEL_FID ON T_PMTS_TASKSCHEDULE_LOG_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_TASKLEL_FNAME') CREATE INDEX IDX_PMTS_TASKLEL_FNAME ON T_PMTS_TASKSCHEDULE_LOG_L ( FNAME );


 EXEC P_ALTERPK 'PK_PMTS_ATTACHMENT', 'T_PMTS_ATTACHMENT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMTS_ATTANT_FENTRYID') CREATE INDEX IDX_PMTS_ATTANT_FENTRYID ON T_PMTS_ATTACHMENT ( FENTRYID ,FBASEDATAID );












 EXEC P_ALTERPK 'PK_PMPD_DELIVERIES', 'T_PMPD_DELIVERIES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIES_FBILLNO') CREATE INDEX IDX_PMPD_DELIES_FBILLNO ON T_PMPD_DELIVERIES ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_PMPD_DELIES_FCREATETIME') CREATE INDEX IDX_PMPD_DELIES_FCREATETIME ON T_PMPD_DELIVERIES ( FCREATETIME );






/**End D:\PDM_UPGRADE\PDM1\PMTS_constraint.sql **/
