IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_OPT')
CREATE TABLE T_PMTS_OPT
(
	  FID                BIGINT           DEFAULT 0      NOT NULL, 
	  FBILLNO            NVARCHAR(30)     DEFAULT ' '    NOT NULL, 	
	  FBILLSTATUS        NVARCHAR(1)      DEFAULT ' '    NOT NULL, 
	  FCREATORID         BIGINT           DEFAULT 0      NOT NULL,   
	  FMODIFIERID        BIGINT           DEFAULT 0      NOT NULL,  	
	  FAUDITORID         BIGINT           DEFAULT 0      NOT NULL,   	
	  FAUDITDATE         DATETIME ,                   	
	  FMODIFYTIME        DATETIME ,                  	
	  FCREATETIME        DATETIME ,                  
	  FORGID             BIGINT           DEFAULT 0      NOT NULL,       
	  FPROJECTNOID       BIGINT           DEFAULT 0      NOT NULL, 	
	  FFSONTIME          NVARCHAR(5)      DEFAULT ' '    NOT NULL, 	
	  FDELAYCLASS        NVARCHAR(5)      DEFAULT ' '    NOT NULL, 
	  FDELAYRES          NVARCHAR(50)     DEFAULT ' '    NOT NULL, 	
	  FRESPONSPARTY      NVARCHAR(5)      DEFAULT ' '    NOT NULL, 
	  FWKTIMEREMARK      NVARCHAR(50)     DEFAULT ' '    NOT NULL, 	
	  FREMARKS           NVARCHAR(50)     DEFAULT ' '    NOT NULL, 	
	  FMMRESPLANNOID     BIGINT           DEFAULT 0      NOT NULL, 	
	  FWTLASTMODIFIER    NVARCHAR(50)     DEFAULT ' '    NOT NULL, 
	  FWTLASTMODIFTIME   NVARCHAR(50)     DEFAULT ' '    NOT NULL, 
	  FDELAYDAYS         DECIMAL(23,10)   DEFAULT 0      NOT NULL, 
	  FCONTENTDETAIL     NVARCHAR(50)     DEFAULT ' '    NOT NULL, 	
	  FWORKSCOPEID       BIGINT           DEFAULT 0      NOT NULL,
	  FDEVICEID          BIGINT           DEFAULT 0      NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_WKCARDINFO')
CREATE TABLE T_PMTS_WKCARDINFO
(
	  FID              BIGINT           DEFAULT 0     NOT NULL,          	
	  FENTRYID         BIGINT           DEFAULT 0     NOT NULL,     	
	  FSEQ             INT              DEFAULT 0     NOT NULL,         
	  FMWORKORDERNO    NVARCHAR(255)    DEFAULT ' '   NOT NULL, 
	  FWORKCARDNO      NVARCHAR(50)     DEFAULT ' '   NOT NULL, 	
	  FREMARKS1        NVARCHAR(50)     DEFAULT ' '   NOT NULL
);

