IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASKRPT_SCORE')
 CREATE TABLE T_PMTS_TASKRPT_SCORE (
	FENTRYID       BIGINT         DEFAULT 0    NOT NULL,        
	FID            BIGINT         DEFAULT 0    NOT NULL,        
	FSEQ           INT            DEFAULT 0    NOT NULL,        
	FDECIMALFIELD  DECIMAL(23,2)  DEFAULT 0    NOT NULL,       
	FSCORERID      BIGINT         DEFAULT 0    NOT NULL,      
	FREMARK        NVARCHAR(255)  DEFAULT ' '  NOT NULL    
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_TASK_HANDOVER')
 CREATE TABLE T_PMTS_TASK_HANDOVER (
	FID               BIGINT         DEFAULT 0    NOT NULL,        
	FBILLNO           NVARCHAR(30)   DEFAULT ' '  NOT NULL,     
	FBILLSTATUS       NVARCHAR(50)   DEFAULT ' '  NOT NULL,       
	FCREATORID        BIGINT         DEFAULT 0    NOT NULL,       
	FMODIFIERID       BIGINT         DEFAULT 0    NOT NULL,       
	FMODIFYTIME       DATETIME,       
	FCREATETIME       DATETIME,       
	FTASKID           BIGINT         DEFAULT 0    NOT NULL,      
	FSENDERID         BIGINT         DEFAULT 0    NOT NULL,        
	FRECIVERID        BIGINT         DEFAULT 0    NOT NULL,      
	FSUCCESSSTATUS    NVARCHAR(50)   DEFAULT ' '  NOT NULL       
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_PMTS_REPORTUSER')
 CREATE TABLE T_PMTS_REPORTUSER (
	FID           BIGINT     DEFAULT 0   NOT   NULL,       
	FREPORTID     BIGINT     DEFAULT 0   NOT   NULL,      
	FUSERID       BIGINT     DEFAULT 0   NOT   NULL,        
	FIDX          INT        DEFAULT 0   NOT   NULL 
);


